<!DOCTYPE html>
<html>
   <head>
      <link href="css/leaflet.css" rel="stylesheet" type="text/css" />
      <script src="js/leaflet-src.js"></script>
      <script src="js/sql.js"></script>
      <script src="js/Leaflet.TileLayer.MBTiles.js"></script>
      <meta charset="utf-8" name="viewport" content="width=device-width, initial-scale=1">
      <title>Default SG Map</title>
      <style>
         body {
            padding: 0;
            margin: 0;
            overflow: hidden;
            background: #ffffff;
         }

         #map {
            background: #6ca8e4;
            width: 100vw;
            height: 100vh;
         }

         #loading_gif {
             display: block;
             margin-left: auto;
             margin-right: auto;
             width: 45%;
         }
      </style>
   </head>
   <body>
      <div id="map">
         <img id="loading_gif" alt="Loading" src="loading.gif" />
      </div>
      <script>      
         var southWest = new L.LatLng(1.22557, 103.67592);
         var northEast = new L.LatLng(1.4267, 104.02542);
         var bounds = new L.LatLngBounds(southWest, northEast);
         
         var map = new L.Map("map");
         map.fitBounds(bounds);
         
         var mb = L.tileLayer.mbTiles("./maps/DEFAULT.mbtiles", {
         minZoom: 11,
         maxZoom: 17,
         attribution: "<p class='prefix-attribution'><a href='https://www.onemap.sg/home/'><img src='onemap.png' style='height:25px;width:25px;' alt='onemap logo' /></a> New OneMap | Map data © contributors, <a href='http://SLA.gov.sg'>SLA</a></p>"
         }).addTo(map);
         
         mb.on("databaseloaded", function(ev) {
            console.info("MBTiles DB loaded", ev);
                     
            var popup = L.popup();
            
            function onMapClick(e) {
              popup
                .setLatLng(e.latlng)
                .setContent("You clicked the map at " + e.latlng.toString())
                .openOn(map);
            }

            map.on('click', onMapClick);
         });
         mb.on('databaseerror', function(ev) {
            console.info('MBTiles DB error', ev);
         });         
      </script>
   </body>
</html>